From 68670dc3d2c04280d188d2800c8ce31b7d81b620 Mon Sep 17 00:00:00 2001
From: Kartik Soneji <kartiksoneji@rocketmail.com>
Date: Sat, 29 Aug 2020 06:12:17 +0530
Subject: [PATCH 08/15] Workaround for Mroonga (ZStd).

---
 storage/mroonga/vendor/groonga/lib/CMakeLists.txt | 2 ++
 storage/mroonga/vendor/groonga/lib/store.c        | 4 +++-
 2 files changed, 5 insertions(+), 1 deletion(-)

diff --git a/storage/mroonga/vendor/groonga/lib/CMakeLists.txt b/storage/mroonga/vendor/groonga/lib/CMakeLists.txt
index 21628b26..79a866a8 100644
--- a/storage/mroonga/vendor/groonga/lib/CMakeLists.txt
+++ b/storage/mroonga/vendor/groonga/lib/CMakeLists.txt
@@ -15,6 +15,8 @@
 
 add_definitions(
   -DGRN_DAT_EXPORT
+  #FIXME: Move to cmake/plugin.cmake if possible
+  -DGRN_WITH_ZSTD
   )
 
 include_directories(
diff --git a/storage/mroonga/vendor/groonga/lib/store.c b/storage/mroonga/vendor/groonga/lib/store.c
index f579bc9e..3a910c17 100644
--- a/storage/mroonga/vendor/groonga/lib/store.c
+++ b/storage/mroonga/vendor/groonga/lib/store.c
@@ -1481,7 +1481,9 @@ grn_ja_ref_lz4(grn_ctx *ctx, grn_ja *ja, grn_id id, grn_io_win *iw, uint32_t *va
 #endif /* GRN_WITH_LZ4 */
 
 #ifdef GRN_WITH_ZSTD
-#include <zstd.h>
+//FIXME: Override include paths to force
+//`include/compression` to have priority
+#include <compression/zstd.h>
 
 static void *
 grn_ja_ref_zstd(grn_ctx *ctx,
-- 
2.26.2.windows.1

